Bug 1409782 - NFS Server is not coming up for the 3.1.3 volume after updating to 3.2.0 ( latest available build )
Summary: NFS Server is not coming up for the 3.1.3 volume after updating to 3.2.0 ( ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-nfs
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Atin Mukherjee
QA Contact: Byreddy
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2017-01-03 11:13 UTC by Byreddy
Modified: 2017-03-23 06:01 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1409799 (view as bug list)
Environment:
Last Closed: 2017-03-23 06:01:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Byreddy 2017-01-03 11:13:22 UTC
Description of problem:
========================
gNFS Server is not coming up for the 3.1.3 volume after updating to  3.2.0.

I had two nodes cluster in 3.1.3 with Dis-Rep ( 2*2 ) volume and done the in-service update to 3.2.0 by fuse mounting the volume.

After updating all cluster nodes, bumped up the cluster op-version to 30901 and checked the volume status, in v status, NFS Server was showing N/A.


NFS Server should be running for the upgraded volume as per the BZ-https://bugzilla.redhat.com/show_bug.cgi?id=1404996



I will provide the sos reports from server nodes to check the issue.

Version-Release number of selected component (if applicable):
==============================================================
Update from 3.1.3 to glusterfs-3.8.4-10.



How reproducible:
==================
Always

Steps to Reproduce:
===================
1. Have two node cluster and have 2 *2 volume.
2. Fuse mount the volume and start IO
3. Start In-service update ( follow the steps present in installation guide)
4. Check the volume status // you won't see NFS Server running.

Actual results:
===============
NFS Server is not coming up after updating 3.1.3 volume to 3.2.0 latest build.


Expected results:
=================
NFS Server should be running as per the BZ-https://bugzilla.redhat.com/show_bug.cgi?id=1404996


Additional info:

Comment 4 Atin Mukherjee 2017-01-03 12:55:03 UTC
Upstream patch http://review.gluster.org/16316 posted for review.

Comment 5 Atin Mukherjee 2017-01-03 12:57:15 UTC
RCA: op-version bump up code handled the upgrade path for all existing volumes for which gNFS was not disabled however the code didn't reconfigure the nfs daemon because of which nfs service was never started.

Comment 6 Atin Mukherjee 2017-01-03 16:07:52 UTC
(In reply to Atin Mukherjee from comment #4)
> Upstream patch http://review.gluster.org/16316 posted for review.

The behaviour in upstream is different where user is supposed to explicitly enable gNFS post upgrade. So this patch will not be valid in upstream. I'll be working on a DOWNSTREAM ONLY patch to fix it.

Comment 7 Atin Mukherjee 2017-01-03 16:46:05 UTC
Comment 6 is correct and hence closing this bug.

Comment 9 Atin Mukherjee 2017-01-03 16:48:47 UTC
downstream patch : https://code.engineering.redhat.com/gerrit/94006

Comment 12 Byreddy 2017-01-13 09:16:07 UTC
Fix is working good moving to verified state.

Comment 15 errata-xmlrpc 2017-03-23 06:01:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.